Subject: classes and workshops

From: [email-masked] (Jackrussel)
Date: 16 Feb 1995 20:45:46 -0500

Dod you know about Brookfield Craft Center? It's a national profile
non-profit school in Western CT which offers over 300 topics in
professional craftsmanship. From stone setting, to pewtersmithing, and
business and marketing issues, you will find it at BCC. They will send you
a free course catalog if your call them at 203-775-4526. They also have
produced "The Complete Metalsmith" video with Tim McCreight. All in all a
major resource!